Package org.apache.sling.distribution.journal.bookkeeper

# Class LocalStore

java.lang.Object
org.apache.sling.distribution.journal.bookkeeper.LocalStore

@ParametersAreNonnullByDefault public class LocalStore extends Object

## Constructor Summary

Constructors
Constructor
Description
`LocalStore(org.apache.sling.api.resource.ResourceResolverFactory resolverFactory, String storeType, String storeId)`

## Method Summary

Modifier and Type
Method
Description
`org.apache.sling.api.resource.ValueMap`
`load()`
`<T> T`
`load(String key, Class<T> clazz)`
`<T> T`
`load(String key, T defaultValue)`
`void`
`store(String key, Object value)`
`void`
`store(org.apache.sling.api.resource.ResourceResolver serviceResolver, String key, Object value)`
`void`
`store(org.apache.sling.api.resource.ResourceResolver serviceResolver, Map<String,Object> map)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LocalStore

public LocalStore(org.apache.sling.api.resource.ResourceResolverFactory resolverFactory, String storeType, String storeId)

## Method Details

### store

public void store(String key, Object value) throws org.apache.sling.api.resource.PersistenceException

Throws:
  `org.apache.sling.api.resource.PersistenceException`

### store

public void store(org.apache.sling.api.resource.ResourceResolver serviceResolver, String key, Object value) throws org.apache.sling.api.resource.PersistenceException

Throws:
  `org.apache.sling.api.resource.PersistenceException`

### store

public void store(org.apache.sling.api.resource.ResourceResolver serviceResolver, Map<String,Object> map) throws org.apache.sling.api.resource.PersistenceException

Throws:
  `org.apache.sling.api.resource.PersistenceException`

### load

public <T> T load(String key, Class<T> clazz)

### load

public <T> T load(String key, T defaultValue)

### load

public org.apache.sling.api.resource.ValueMap load()